import { Component } from '@angular/core';

@Component({
  selector: 'app-tab2',
  templateUrl: 'tab2.page.html',
  styleUrls: ['tab2.page.scss']
  
})
export class Tab2Page {
  selectedSegment: string = 'company';
  company = {
    name: '公司名称',
    starRating: 4.5,
    reviewCount: 100,
    description: '公司简介',
    services: '公司提供的服务',
    advantages: '公司的优势',
    cases: '公司的案例',
    // 其他公司信息
  };
  agency = {
    name: '机构名称',
    starRating: 4.4,
    reviewCount: 95,
    description: '机构简介',
    services: '机构提供的服务',
    advantages: '机构的优势',
    cases: '机构的案例',
    designers: [
      { name: '设计师1', avatar: 'assets/designer1.jpg', specialty: '擅长风格1' },
      { name: '设计师2', avatar: 'assets/designer2.jpg', specialty: '擅长风格2' },
      // 添加更多设计师信息
    ],
    casesList: [
      { image: 'assets/case1.jpg', description: '案例描述1' },
      { image: 'assets/case2.jpg', description: '案例描述2' },
      // 添加更多案例信息
    ],
    designPhilosophy: '设计理念内容',
    serviceProcess: '服务流程内容',
    reviews: [
      { avatar: 'assets/user1.jpg', username: '用户1', comment: '评价1', rating: 5 },
      { avatar: 'assets/user2.jpg', username: '用户2', comment: '评价2', rating: 4 },
      // 添加更多用户评价
    ]
  };
  designer = {
    name: '设计师姓名',
    avatar: 'assets/designer-avatar.jpg',
    specialty: '设计师专长',
    style: '设计风格',
    serviceArea: '服务地区',
    price: '设计师价格',
    rating: '用户评价',
    works: [
      { image: 'assets/work1.jpg', title: '作品1', description: '作品描述1' },
      { image: 'assets/work2.jpg', title: '作品2', description: '作品描述2' },
      // 添加更多设计师作品
    ],
    reviews: [
      { avatar: 'assets/user1.jpg', username: '用户1', comment: '评价1', rating: 5 },
      { avatar: 'assets/user2.jpg', username: '用户2', comment: '评价2', rating: 4 },
      // 添加更多用户评价
    ]
  };

  constructor() {}

  segmentChanged(event: CustomEvent) {
    this.selectedSegment = event.detail.value;
  }
}
